#
# spec file for package libcdio (Version 0.76)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cdparanoia coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vcdimager vcdimager-devel vim zlib zlib-devel

Name:           libcdio
BuildRequires:  cdparanoia gcc-c++ pkgconfig popt-devel vcdimager-devel
Version:        0.76
Release:        16.2
%define libcddb_version 1.2.1
URL:            http://www.gnu.org/software/libcdio/
Group:          Productivity/Multimedia/Other
License:        GPL
Summary:        CD-ROM Access Library
Source:         %{name}-%{version}.tar.bz2
Source1:        libcddb-%{libcddb_version}.tar.bz2
# Source is part of libcddb.
NoSource:       1
PreReq:         %install_info_prereq
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library encapsulates CD-ROM reading and control. Applications
wanting to be oblivious to the OS and device-dependent properties of a
CD-ROM can use this library.



Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%package devel
Group:          Productivity/Multimedia/Other
Summary:        CD-ROM access library
Requires:       %{name} = %{version} glibc-devel

%description devel
This library is to encapsulate CD-ROM reading and control. Applications
wishing to be oblivious of the OS- and device-dependent properties of a
CD-ROM can use this library.



Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%prep
%setup -a1

%build
LIBCDIO_INSTALL=$PWD/libcdio-install
LIBCDDB_INSTALL=$PWD/libcddb-install
export C_INCLUDE_PATH="$LIBCDIO_INSTALL/usr/include:$LIBCDDB_INSTALL/usr/include"
export LIBRARY_PATH="$LIBCDIO_INSTALL%{_libdir}:$LIBCDDB_INSTALL%{_libdir}"
export PKG_CONFIG_PATH="$LIBCDIO_INSTALL%{_libdir}/pkgconfig:$LIBCDDB_INSTALL%{_libdir}/pkgconfig"
export CFLAGS="$RPM_OPT_FLAGS"
# libvcdinfo depends on libcdio, which is not yet built.
# We must build featureless libcdio first, then install and build fully featured package.
%{?suse_update_config:%{suse_update_config  -f -l}}
./configure\
	--prefix=/usr\
	--libdir=%{_libdir}\
	--infodir=%{_infodir}\
	--mandir=%{_mandir}
make %{?jobs:-j%jobs}
make DESTDIR="$LIBCDIO_INSTALL" install
# We need to adjust path to libiso9660.la in this file
# to refer to just-built file to prevent circular dependency
# on vcdimager.
cp -a /usr/%_lib/libvcdinfo.* $LIBCDIO_INSTALL%{_libdir}
for lib in $LIBCDIO_INSTALL%{_libdir}/*.la ; do
    sed -i "s@installed=yes@installed=no@g;/dependency_libs/s@%{_libdir}@$LIBCDIO_INSTALL%{_libdir}@g" $lib
done
# Now build libcddb, which has circular dependency on libcdio.
cd libcddb-%{libcddb_version}
%{?suse_update_config:%{suse_update_config  -f -l}}
./configure\
	--prefix=/usr\
	--libdir=%{_libdir}
make %{?jobs:-j%jobs}
make DESTDIR="$LIBCDDB_INSTALL" install
for lib in $LIBCDDB_INSTALL%{_libdir}/*.la ; do
    sed -i "s@installed=yes@installed=no@g" $lib
done
cd ..
# Now build final version of libcdio.
./configure\
	--prefix=/usr\
	--libdir=/usr/%{_lib}\
	--infodir=/usr/share/info\
	--mandir=/usr/share/man
make %{?jobs:-j%jobs}

%install
LIBCDIO_INSTALL=$PWD/libcdio-install
LIBCDDB_INSTALL=$PWD/libcddb-install
export LIBRARY_PATH="$LIBCDIO_INSTALL%{_libdir}:$LIBCDDB_INSTALL%{_libdir}"
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/%name.info.gz

%postun
%run_ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%name.info.gz

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README.libcdio THANKS TODO
/usr/%{_lib}/*.so.*
/usr/bin/*
%doc %{_mandir}/man?/*.*
%doc %{_mandir}/*/man?/*.*
%doc /usr/share/info/*.info*
# These two should be in filesystem.
%dir %{_mandir}/jp
%dir %{_mandir}/jp/man1

%files devel
%defattr (-, root, root)
/usr/%{_lib}/*.so
/usr/%{_lib}/*.*a
/usr/%{_lib}/pkgconfig/*.pc
/usr/include/*

%changelog -n libcdio
* Tue Jan 31 2006 - sbrabec@suse.cz
- Do not link with invalid rpath.
- Enabled parallel build.
- Fixed devel splitting.
* Thu Jan 26 2006 - sbrabec@suse.cz
- Added %%install_info_prereq.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 08 2005 - sbrabec@suse.cz
- Fixed libiso9660.la circular dependency prevention trick.
* Wed Oct 26 2005 - sbrabec@suse.cz
- Updated to version 0.76.
- Build as user.
* Fri Aug 05 2005 - sbrabec@suse.cz
- Build with libcddb-1.2.1.
* Fri Jul 29 2005 - sbrabec@suse.cz
- Updated to version 0.75.
* Mon May 09 2005 - sbrabec@suse.cz
- Build with libcddb-1.0.2.
* Tue Apr 26 2005 - sbrabec@suse.cz
- Updated to version 0.73.
* Fri Apr 01 2005 - meissner@suse.de
- fixed gcc4 compile problem.
* Thu Feb 03 2005 - sbrabec@suse.cz
- Updated to version 0.72.
* Mon Jan 31 2005 - sbrabec@suse.cz
- Updated to version 0.72rc2.
* Mon Jan 24 2005 - sbrabec@suse.cz
- Updated to version 0.71.
* Tue Nov 09 2004 - sbrabec@suse.cz
- New SuSE package, version 0.70.
- Work-around of circular dependency on libcddb and vcdimager.
